Skip to main content
PATCH
/
subscription
/
api
/
v1
/
subscriptions
/
{id}
/
resume
Resume Subscription
curl --request PATCH \
  --url https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/resume \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/resume"

headers = {"Authorization": "<api-key>"}

response = requests.patch(url, headers=headers)

print(response.text)
const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};

fetch('https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Subscription resumed",
  "data": {
    "id": 22,
    "customerId": "test-trial-2",
    "customerEmail": "johndoe@gmail.com",
    "status": "ACTIVE",
    "enrollmentReference": "SUBREF_EE9A8CD25F38423B87",
    "enrollmentTxnReference": "SUB_ENROLL_22_1783543549106"
  }
}

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

Path Parameters

id
string
required

The ID of the subscription.

Response

Request Successful

success
boolean

Indicates if the request was successful.

Example:

true

message
string

Descriptive message confirming the resume operation.

Example:

"Subscription resumed"

data
object

The payload containing the reactivated subscription details.